# PacketInExLogMessage (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Network.Packet

## Class PacketInExLogMessage

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Network.Packet.PacketInExLogMessage

All Implemented Interfaces:
  PacketIn

    public class PacketInExLogMessage
    extends java.lang.Object
    implements PacketIn

Message Log External Host Packet

### Constructor Summary

Constructors
Constructor and Description
`PacketInExLogMessage()` New PacketInExLogMessage (Registerer)

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `execute(Client client, org.json.JSONObject data)` Execute Incoming Packet
`Version` `getVersion()` Get Packet Version
`static java.util.UUID` `register(ExternalSubLogger logger)` Register External Logger
`static void` `unregister(java.util.UUID id)` Unregister External Logger

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketInExLogMessage

    public PacketInExLogMessage()

New PacketInExLogMessage (Registerer)

### Method Detail

#### execute

    public void execute(Client client,
                        org.json.JSONObject data)

Description copied from interface: `PacketIn`
Execute Incoming Packet

Specified by:
  `execute` in interface `PacketIn`
Parameters:
  `client` - Client Accepting
  `data` - Incoming Data

#### getVersion

    public Version getVersion()

Description copied from interface: `PacketIn`
Get Packet Version

Specified by:
  `getVersion` in interface `PacketIn`
Returns:
  Packet Version

#### register

    public static java.util.UUID register(ExternalSubLogger logger)

Register External Logger

Parameters:
  `logger` - Logger
Returns:
  External Address

#### unregister

    public static void unregister(java.util.UUID id)

Unregister External Logger

Parameters:
  `id` - External Address